
#include <stdio.h>
#include "parser.h"
#include "math.h"

int main(int argc, char **argv) {
  int mean;
  char **args;
  int size;
  

  size = argc -1;
  /* we want to be able to look at the complete arg list
     some other time .... in a theatre close to you */
  args = argv;
  args++;
  int *p = strings_to_ints(size, args);

  mean = mean_value(p, size);
  fprintf(stdout, "mean: %d\n", mean);
  
  FREE_INTS(p);
  return 0;
}

